<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="utf-8" name="author" content="">
    <title>Tableau meteo</title>

    <link rel="stylesheet" href="css/styles.css">
    <!-- Latest compiled and minified CSS -->


</head>

<body>

    <div id="app" class="background">
        <div class="select pad-10">
            <h1>Tableau de bord météo</h1>
            <div class="row content-around">
                <div> Liste des villes à surveiller : </div>
                <div class="city-select"> Ville
                    <select v-model="city" name="city" @change="getCitiesDetails()">
                        <option v-for="city in citiesToObserve" :value="city">{{ city.name }}</option>
                    </select>
                </div>

            </div>
        </div>
        <div v-if="city" class="result">
            <div class="row city-head pad-10"><h2 id=data-name>{{ city.name }}</h2> <div class="weather-icon"><img v-bind:src="weatherIconSrc"></div></div>
            <div class="row table-head">
                <div class="col-x-3 align-center">Température</div>
                <div class="col-x-3 align-center">Vitesse du vent</div>
                <div class="col-x-3 align-center">Direction du vent</div>
            </div>
            <div class="row">
                <div class="col-x-3 align-center">{{ cityTemperature }}</div>
                <div class="col-x-3 align-center">{{ cityWindSpeed }}</div>
                <div class="col-x-3 align-center"><img  v-bind:style="{ transform: cityWindDirection }" class="max-w-30 arrow" src="images/arrow-icon.jpg"></div>
            </div>
            <div class="row content-between small-text">
                <div class="pad-10">GPS : {{  cityCoord }}</div>
                <div class="pad-10">dernier relevé :  {{ cityDateFr  }} </div>
            </div>
        </div>
        <div v-else class="result">
            <h2 class="pad-10 align-center">Veuillez selectionner une ville</h2>
        </div>


    </div>

    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script type="text/javascript" src="js/vue.js"></script>

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.js"></script>
    <script type="text/javascript" src="js/app.js"></script>

</body>

</html>
